apiVersion: controller.devfile.io/v1alpha1
kind: DevWorkspaceRouting
metadata:
  annotations:
    controller.devfile.io/devworkspace-started: "true"
  creationTimestamp: "2023-03-28T13:43:39Z"
  finalizers:
  - devworkspacerouting.controller.devfile.io
  generation: 1
  labels:
    controller.devfile.io/devworkspace_id: workspace8b904a5b6c394a8f
  name: routing-workspace8b904a5b6c394a8f
  namespace: devuser420-devspaces
  ownerReferences:
  - apiVersion: workspace.devfile.io/v1alpha2
    blockOwnerDeletion: true
    controller: true
    kind: DevWorkspace
    name: automated-devspaces-scaling
    uid: 8b904a5b-6c39-4a8f-a822-358404ee57ff
  resourceVersion: "229214507"
  uid: f1d42f1f-53a6-4a3b-8484-974dac8ce38d
spec:
  devworkspaceId: workspace8b904a5b6c394a8f
  endpoints:
    universal-developer-image:
    - attributes:
        contributed-by: che-code.eclipse.org
        cookiesAuthEnabled: true
        discoverable: false
        type: main
        urlRewriteSupported: true
      exposure: public
      name: che-code
      protocol: https
      targetPort: 3100
    - attributes:
        contributed-by: che-code.eclipse.org
        discoverable: false
        urlRewriteSupported: false
      exposure: public
      name: code-redirect-1
      protocol: http
      targetPort: 13131
    - attributes:
        contributed-by: che-code.eclipse.org
        discoverable: false
        urlRewriteSupported: false
      exposure: public
      name: code-redirect-2
      protocol: http
      targetPort: 13132
    - attributes:
        contributed-by: che-code.eclipse.org
        discoverable: false
        urlRewriteSupported: false
      exposure: public
      name: code-redirect-3
      protocol: http
      targetPort: 13133
  podSelector:
    controller.devfile.io/devworkspace_id: workspace8b904a5b6c394a8f
  routingClass: che
status:
  exposedEndpoints:
    universal-developer-image:
    - attributes:
        contributed-by: che-code.eclipse.org
        cookiesAuthEnabled: true
        discoverable: false
        type: main
        urlRewriteSupported: true
      name: che-code
      url: https://devspaces-url/workspace8b904a5b6c394a8f/universal-developer-image/3100/
    - attributes:
        contributed-by: che-code.eclipse.org
        discoverable: false
        urlRewriteSupported: false
      name: code-redirect-1
      url: http://workspace8b904a5b6c394a8f-1.apps.rosa.banksvcs.net/
    - attributes:
        contributed-by: che-code.eclipse.org
        discoverable: false
        urlRewriteSupported: false
      name: code-redirect-2
      url: http://workspace8b904a5b6c394a8f-2.apps.rosa.banksvcs.net/
    - attributes:
        contributed-by: che-code.eclipse.org
        discoverable: false
        urlRewriteSupported: false
      name: code-redirect-3
      url: http://workspace8b904a5b6c394a8f-3.apps.rosa.banksvcs.net/
  message: DevWorkspaceRouting prepared
  phase: Ready
  podAdditions:
    containers:
    - image: registry.redhat.io/devspaces/traefik-rhel8@sha256:cc700dcd506e7b861cf999f078867568699cabe26d3f8a3a7b9034bddad235e8
      imagePullPolicy: IfNotPresent
      name: che-gateway
      resources:
        limits:
          cpu: 500m
          memory: 256Mi
        requests:
          cpu: 50m
          memory: 64Mi
      volumeMounts:
      - mountPath: /etc/traefik
        name: che-gateway
    volumes:
    - configMap:
        defaultMode: 420
        name: workspace8b904a5b6c394a8f-route
      name: che-gateway

